// =============================================================================
// Globals
// =============================================================================

// @prepros-append "globals/_globals.js"

// =============================================================================
// Before Load
// =============================================================================

// @prepros-append "globals/_before_load_site.js"

// =============================================================================
// Initialize Event Manager
// =============================================================================

// @prepros-append "globals/_even_manager.js"

// =============================================================================
// Preloader
// =============================================================================

// @prepros-append "globals/_preloader.js"

// =============================================================================
// Insert custom css
// =============================================================================

// @prepros-append "globals/_custom_css.js"

// =============================================================================
// Resonsive Media CSS
// =============================================================================

// @prepros-append "globals/_resonsive_media_css.js"

// =============================================================================
// Custom Scrollbar
// =============================================================================

// @prepros-append "globals/_custom_scrollbar.js"


// =============================================================================
// Header
// =============================================================================

// @prepros-append "components/header/_search.js"
// @prepros-append "components/header/_shopbycat.js"
// @prepros-append "components/header/_dropdown.js"
// @prepros-append "components/header/_sticky.js"
// @prepros-append "components/header/_mobile.js"
// @prepros-append "components/header/_fullcreen-menu.js"

// =============================================================================
// Shop
// =============================================================================

// @prepros-append "components/shop/_filters.js"
// @prepros-append "components/shop/_orderby.js"
// @prepros-append "components/shop/_product_card.js"
// @prepros-append "components/shop/_product_appearance.js"
// @prepros-append "components/shop/_product_card_animation.js"
// @prepros-append "components/shop/_login-form.js"


// =============================================================================
// Product
// =============================================================================

// @prepros-append "components/product/_init.js"
// @prepros-append "components/product/_readmore.js"
// @prepros-append "components/product/_gallery.js"
// @prepros-append "components/product/_variable_product.js"
// @prepros-append "components/product/_stripe_button.js"
// @prepros-append "components/product/_wishlist.js"
// @prepros-append "components/product/_review_link.js"
// @prepros-append "components/product/_progress_bar.js"


// =============================================================================
// Cart
// =============================================================================

// @prepros-append "components/cart/_cart.js"


// =============================================================================
// Checkout
// =============================================================================

// @prepros-append "components/checkout/_checkout.js"


// =============================================================================
// Footer
// =============================================================================

// @prepros-append "components/footer/_footer.js"


// =============================================================================
// Widgets
// =============================================================================

// @prepros-append "widgets/_product-categories-with-icon.js"

// =============================================================================
// Blog
// =============================================================================

// @prepros-append "components/blog/hero.js"
// @prepros-append "components/blog/blog.js"
// @prepros-append "components/blog/single.js"

// =============================================================================
// Modules
// =============================================================================

// @prepros-append "modules/_lazyload.js"
// @prepros-append "modules/_ajax_load_shortcode.js"
// @prepros-append "modules/_ajax_load_products.js"
// @prepros-append "modules/_ajax_load_product_quick_view.js"
// @prepros-append "modules/_ajax_wishlist.js"
// @prepros-append "modules/_animations.js"
// @prepros-append "modules/_ajax_search.js"
// @prepros-append "modules/_wp_gallery.js"
// @prepros-append "modules/_art_carousel_horizontal.js"
// @prepros-append "modules/_vertical_slider.js"
// @prepros-append "modules/_contact_form_7.js"
// @prepros-append "modules/_slick_carousel.js"
// @prepros-append "modules/_nl_popup.js"
// @prepros-append "modules/_nova_sidebar.js"
// @prepros-append "modules/_advanced_masonry.js"
// @prepros-append "modules/_default_masonry.js"
// @prepros-append "modules/_auto_carousel.js"

// =============================================================================
// VC
// =============================================================================

// @prepros-append "components/vc/rtl.js"
// @prepros-append "components/vc/slider.js"
// @prepros-append "components/vc/products_slider.js"
// @prepros-append "components/vc/instagram.js"

// =============================================================================
// ELEMENTOR
// =============================================================================
// @prepros-append "components/elementor/_interactive-product-cat.js"
// =============================================================================
// WPML
// =============================================================================

// @prepros-append "components/wpml/wpml.js"

// =============================================================================
// Inits
// =============================================================================

// @prepros-append "inits/_inits.js"
